Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Create Model Repository

POST/serving/model/

Query parameters

  • project_idQueryintegerrequired

    Project ID

  • active_iamQueryintegeroptional

    Active IAM ID (To access contact person account) Find your Active IAM ID here

  • locationQuerystringrequired

    Location

Request body

application/json

object
option 1object
namestring

The name of the bucket

storage_typestringmanaged

The storage type for the bucket

bucket_namestring

The bucket name (empty for managed)

model_typestringpytorch

The model type

access_keystring

Access key for authentication

secret_keystring

Secret key for authentication

option 2object
namestring

The name of the bucket

storage_typestringe2e_s3

The storage type for the bucket

bucket_namestring

The existing bucket name

model_typestringpytorch

The model type

access_keystring

Access key for authentication

secret_keystring

Secret key for authentication

option 3object
namestring

The name of the bucket

storage_typestringexternal

The storage type for the external bucket

bucket_namestring

The external bucket name

model_typestringpytorch

The model type

access_keystring

Access key for authentication to the external bucket

secret_keystring

Secret key for authentication to the external bucket

Responses

201Model created successfully
object
codeinteger
example201
messagestring
exampleCreated Successfully
dataobject
errorsobject